#
# Please do not update/rebuild/touch this package before asking first to mikala , lmenut and/or neoclust
# This package is part of the KDE Stack.
#
#define debug_package %{nil}

%define rel 1

Summary:        Plasma System Settings
Name:           systemsettings
Version: 5.1.2
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
Source0:        http://fr2.rpmfind.net/linux/KDE/stable/plasma/%{name}-%{version}.tar.xz
URL:            https://www.kde.org/

BuildRequires:  kf5-macros

BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5X11Extras)

BuildRequires:  kitemviews-devel
BuildRequires:  kcmutils-devel
BuildRequires:  ki18n-devel
BuildRequires:  kio-devel
BuildRequires:  kservice-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kconfig-devel
BuildRequires:  khtml-devel
BuildRequires:  kdelibs4support-devel

%description
Plasma System Settings

%files
%_kf5_bindir/systemsettings5
%_qt5_plugindir/*.so
%_kf5_datadir/applications/*.desktop
%_kf5_services/*.desktop
%_kf5_servicetypes/*.desktop
%_kf5_datadir/systemsettings
%_kf5_datadir/kxmlgui5/systemsettings

#--------------------------------------------------------------------

%define systemsettingsview_major 3
%define libsystemsettingsview %mklibname systemsettingsview %{systemsettingsview_major}

%package -n %libsystemsettingsview
Summary:      Plasma System Settings
Group:        System/Libraries


%description -n %libsystemsettingsview
Plasma System Settings

%files -n %libsystemsettingsview
%_kf5_libdir/libsystemsettingsview.so.%{systemsettingsview_major}*

#--------------------------------------------------------------------

%define systemsettings_devel %mklibname %name -d

%package -n %systemsettings_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %libsystemsettingsview = %version-%release
Requires:       %name = %{version}-%{release}
Provides:       %name-devel = %{version}-%{release}

# duplicated files with KDE 4
Conflicts:      kdebase4-workspace-devel

%description -n %systemsettings_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %systemsettings_devel
%_includedir/systemsettingsview
%_kf5_libdir/*.so

#--------------------------------------------------------------------

%package handbook
Summary: %{name} Handbook
BuildArch: noarch

# duplicated files with KDE 4
Conflicts: kdebase4-workspace-handbooks

%description handbook
This package provides %{name} Handbook.

%files handbook 
%doc %_docdir/HTML/en/%{name}

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}-%version
%apply_patches

rm -fr po

%build
%cmake_kf5 -DSYSCONF_INSTALL_DIR="%_sysconfdir"
%make

%install
%makeinstall_std -C build



%changelog
* Sun Dec 21 2014 neoclust <neoclust> 5.1.2-1.mga5
+ Revision: 804544
- New version 5.1.2

* Mon Oct 27 2014 lmenut <lmenut> 5.0.1-6.mga5
+ Revision: 793593
- add missing conflicts with KDE 4

* Wed Oct 15 2014 umeabot <umeabot> 5.0.1-5.mga5
+ Revision: 739990
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.0.1-4.mga5
+ Revision: 689668
- Mageia 5 Mass Rebuild

* Sun Aug 17 2014 lmenut <lmenut> 5.0.1-3.mga5
+ Revision: 664567
- Rename -devel

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-2.mga5
+ Revision: 663941
- Rename as this is not a framework
- Rename

* Sat Aug 16 2014 neoclust <neoclust> 5.0.1-1.mga5
+ Revision: 663197
- imported package kf5-systemsettings

